package com.jjt.ws.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 能源统计对象 TWIN_WORKSHOP_CALC
 *
 * @author wukai
 * @date 2025-01-17
 */
@ApiModel(value = "TwinWorkshopCalc", description = "能源统计")
@Data
public class TwinWorkshopCalc extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 统计ID
     */
    @ApiModelProperty("统计ID")
    @TableId
    private Long calcId;

    /**
     * 日期
     */
    @ApiModelProperty("日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataDate;

    /**
     * 车间ID
     */
    @ApiModelProperty("车间ID")
    @Excel(name = "车间ID")
    private Long wsId;

    @ApiModelProperty("总计")
    @Excel(name = "总计")
    private BigDecimal totalValue;
    /**
     * A班统计
     */
    @ApiModelProperty("A班统计")
    @Excel(name = "A班统计")
    private BigDecimal aValue;

    /**
     * B班统计
     */
    @ApiModelProperty("B班统计")
    @Excel(name = "B班统计")
    private BigDecimal bValue;

    public void setValue(BigDecimal aValue, BigDecimal bValue) {
        this.aValue = aValue == null ? BigDecimal.ZERO : aValue;
        this.bValue = bValue == null ? BigDecimal.ZERO : bValue;
        this.totalValue = this.aValue.add(this.bValue);
    }

}
